KABC::Geo class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::Geo Class Reference

Geographic position. More...

`#include <geo.h>`

List of all members.

## Public Member Functions
| Geo ()
| Construct invalid geographics position object.
| Geo (float latitude, float longitude)
| Construct geographics position object.
void | setLatitude (float)
| Sets the latitude.
float | latitude () const
| Returns the latitude.
void | setLongitude (float)
| Sets the longitude.
float | longitude () const
| Returns the longitude.
bool | isValid () const
| Returns, if this object contains a valid geographical position.
bool | operator== (const Geo &) const
bool | operator!= (const Geo &) const
QString | asString () const
| Returns string representation of geographical position.
## Friends
QDataStream & | operator<< (QDataStream &, const Geo &)
QDataStream & | operator>> (QDataStream &, Geo &)

## Detailed Description

Geographic position.

This class represents a geographic position.

Definition at line 33 of file geo.h.

## Constructor & Destructor Documentation

Geo::Geo | ( |  | ) |

| Construct invalid geographics position object. Definition at line 27 of file geo.cpp.

Geo::Geo | ( | float | latitude,
|  | float | longitude
| ) |

  | Construct geographics position object. Parameters:
  latitude | Geographical latitude
  longitude | Geographical longitude
Definition at line 32 of file geo.cpp.

## Member Function Documentation

void Geo::setLatitude | ( | float |  | ) |

| Sets the latitude. Definition at line 38 of file geo.cpp.

float Geo::latitude | ( |  | ) | const

| Returns the latitude. Definition at line 44 of file geo.cpp.

void Geo::setLongitude | ( | float |  | ) |

| Sets the longitude. Definition at line 49 of file geo.cpp.

float Geo::longitude | ( |  | ) | const

| Returns the longitude. Definition at line 55 of file geo.cpp.

bool Geo::isValid | ( |  | ) | const

| Returns, if this object contains a valid geographical position. Definition at line 60 of file geo.cpp.

QString Geo::asString | ( |  | ) | const

| Returns string representation of geographical position. Definition at line 81 of file geo.cpp. References QString::number().

The documentation for this class was generated from the following files:

- geo.h
- geo.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:45 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001